User Tools

Site Tools


repository_stable

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Next revision
Previous revision
repository_stable [2017/12/29 00:09]
pavroo created
repository_stable [2019/08/14 22:29] (current)
pavroo
Line 1: Line 1:
-===== Sparky stable line =====+===== Sparky ​repositories of the stable line =====
  
 Sparky of the stable line is based on and uses Debian "​stable"​ packages. Sparky of the stable line is based on and uses Debian "​stable"​ packages.
Line 5: Line 5:
 ==== Repository ==== ==== Repository ====
  
-Users of Debian "​stable"​ branch should add Sparky **stable** and **testing** repositories+Users of Debian "​stable"​ branch should add Sparky **stable** and **core** repositories ​to get access to Sparky ​repos:
- +
-Sparky ​**stable** repository:+
  
    sudo nano /​etc/​apt/​sources.list.d/​sparky-stable.list    sudo nano /​etc/​apt/​sources.list.d/​sparky-stable.list
  
-and past into the file:+and paste into the file:
  
    deb https://​sparkylinux.org/​repo stable main    deb https://​sparkylinux.org/​repo stable main
    ​deb-src https://​sparkylinux.org/​repo stable main    ​deb-src https://​sparkylinux.org/​repo stable main
- +   deb https://​sparkylinux.org/​repo ​core main 
-Sparky **testing** repository:​ +   ​deb-src https://​sparkylinux.org/​repo ​core main
- +
-   sudo nano /​etc/​apt/​sources.list.d/​sparky-testing.list +
- +
-and past into the file: +
- +
-   deb https://​sparkylinux.org/​repo ​testing ​main +
-   ​deb-src https://​sparkylinux.org/​repo ​testing ​main+
  
 Create a preference file: Create a preference file:
Line 29: Line 20:
    sudo nano /​etc/​apt/​preferences.d/​sparky    sudo nano /​etc/​apt/​preferences.d/​sparky
  
-and past into the file:+and paste into the file:
  
    ​Package:​ *    ​Package:​ *
-   Pin: release o=SparkyLinux,a=stable+   Pin: release o=SparkyLinux
    ​Pin-Priority:​ 1001    ​Pin-Priority:​ 1001
-    + 
-   Package: * +Otherwiseinstall '​sparky-apt'​ and '​sparky5-apt' packages to do so.
-   Pin: release o=SparkyLinux,a=testing +
-   Pin-Priority: 900+
  
 ==== Public key ==== ==== Public key ====
Line 47: Line 36:
 Then install it: Then install it:
    sudo dpkg -i /​path/​to/​sparky-keyring_VERSION_all.deb    sudo dpkg -i /​path/​to/​sparky-keyring_VERSION_all.deb
-   sudo apt-get update +   sudo apt-key ​add /​usr/​share/​keyrings/​sparkylinux.gpg.key
- +
-or get the key manually ('​wget'​ has to be installed):+
  
-   wget -O - https://​sparkylinux.org/​repo/​sparkylinux.gpg.key | sudo apt-key add -+or get the key manually ('​wget2'​ has to be installed):
  
-Otherwise, install '​sparky-apt' 4.x package to do so.+   ​wget2 ​-O - https://​sparkylinux.org/​repo/​sparkylinux.gpg.key | sudo apt-key add -
  
-<WRAP center info 100%> 
-Important ! 
-Sparky of the "​stable"​ line uses Sparky "​stable"​ and "​testing"​ repositories. 
-</​WRAP>​ 
  
-<WRAP center info 100%> 
-Make sure you have '​apt-transport-https'​ package installed (Sparky up to 4.x only). 
-</​WRAP>​ 
repository_stable.1514502599.txt.gz · Last modified: 2017/12/29 00:09 by pavroo